VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes
VisimBox.Renderer.StandardColorValues Struct Reference

Standard color material descriptor. More...

List of all members.

## Public Member Functions
| StandardColorValues (ColorByte color, bool alpha=false)
| Creates material with just ambient and diffuse lightning, optionally with alpha value.
| StandardColorValues (ColorByte color, ColorByte specular, ColorByte emissive, float shiny=1, bool alpha=false)
## Static Public Member Functions
static StandardColorValues | Default ()
| Returns default white material.
## Public Attributes
ColorByte | Emissive
ColorByte | Ambient
ColorByte | Diffuse
ColorByte | Specular
float | Shininess
bool | Alpha

## Detailed Description

Standard color material descriptor.

## Constructor & Destructor Documentation

VisimBox.Renderer.StandardColorValues.StandardColorValues | ( | ColorByte | color,
|  | bool | alpha = `false`
| ) |  |

Creates material with just ambient and diffuse lightning, optionally with alpha value.

Parameters:

  color | Base material color
  alpha | Does material have alpha? (taken from Diffuse color)

VisimBox.Renderer.StandardColorValues.StandardColorValues | ( | ColorByte | color,
|  | ColorByte | specular,
|  | ColorByte | emissive,
|  | float | shiny = `1`,
|  | bool | alpha = `false`
| ) |  |

## Member Function Documentation

static StandardColorValues VisimBox.Renderer.StandardColorValues.Default | ( |  | ) | `[static]`

Returns default white material.

Returns:

## Member Data Documentation

bool VisimBox.Renderer.StandardColorValues.Alpha

ColorByte VisimBox.Renderer.StandardColorValues.Ambient

ColorByte VisimBox.Renderer.StandardColorValues.Diffuse

ColorByte VisimBox.Renderer.StandardColorValues.Emissive

float VisimBox.Renderer.StandardColorValues.Shininess

ColorByte VisimBox.Renderer.StandardColorValues.Specular

The documentation for this struct was generated from the following file:

- Materials.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events